### Function

# GLib Allocator new

deprecated: 2.10

#### Declaration [src]

    GAllocator*
    g_allocator_new (
      const gchar* name,
      guint n_preallocs
    )

#### Description

No description available.

Deprecated since: 2.10

Please do not use it in newly written code.

This function is not directly available to language bindings.

#### Parameters

`name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`n_preallocs`

  Type: `guint`

  No description available.

#### Return value

Type: `GAllocator`

No description available.

The data is owned by the called function.